summary: compression library - runtime
Name: hhl-target-zlib
Version: 1.1.3
Release: %{_hhl_build_id}.2
Source: http://www.info-zip.org/pub/infozip/zlib/zlib-%{version}.tar.gz
Source1: zlib.tmpl
Source2: zlib-dev.tmpl
Source3: zlib-bin.tmpl
Patch0: 000-url_in_banner
Patch1: 001-link_to_shared_zlib_in_contrib
Patch2: 002-use_correct_constant_in_contrib_zip
Patch3: 003-use_cc_var_in_configure
Patch4: 004-define_REENTRANT
Patch5: 005-hurd_configure
Patch6: 006-dont_remove_space_in_Makefile
Patch7: 007_use_ldflags_for_library
Patch8: zlib-infblock.diff
Patch10: zlib-minizip-cross.patch
License: Other
Group: devel
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir		%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
zlib is a library implementing the deflate compression method found
in gzip and pkzip.  This package includes the shared library.

# zlib
%package -n hhl-%{_hhl_target_arch}-zlib
Summary: compression library - runtime
Group: devel
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-zlib
zlib is a library implementing the deflate compression method found
in gzip and pkzip.  This package includes the shared library.

# zlib-dev
%package -n hhl-%{_hhl_target_arch}-zlib-dev
Summary: compression library - development
Group: devel
AutoReqProv: no
Requires: hhl-%{_hhl_target_arch}-zlib = %{version}
%description -n hhl-%{_hhl_target_arch}-zlib-dev
zlib is a library implementing the deflate compression method found
in gzip and pkzip.  This package includes the development support
files.

# zlib-bin
%package -n hhl-%{_hhl_target_arch}-zlib-bin
Summary: compression library - sample programs
Group: utils
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-zlib-bin
Some generally useful sample programs from the contrib directory.
Includes a "mini" implementation of `zip' and `unzip' called
`minizip' and `miniunzip' respectively.

%prep
%target_check
%setup -q -n zlib-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p3
%patch10 -p1

%build
%target_setup
export AR="%{_hhl_target_toolprefix}ar rc"
./configure --prefix=%{_hhl_target_prefix} \
	--exec_prefix=%{_hhl_target_exec_prefix} \
	--libdir=%{_hhl_target_lib_dir} \
	--includedir=%{_hhl_target_include_dir} \
	--shared | tee build.log

%make all libz.a | tee -a build.log
(cd contrib/minizip ; %make)

%install
%target_setup
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_exec_prefix}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}

# zlib
install -m 644 libz.so.%{version} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so.%{version}
ln -s libz.so.%{version} %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so.1

# zlib-dev
install -m 644 libz.a %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.a
ln -s libz.so.1 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so
install -m 644 zlib.h zconf.h %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_include_dir}
# What to do with the contrib dir?

# zlib-bin
install -m 755 contrib/minizip/minizip %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/minizip
install -m 755 contrib/minizip/miniunz %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/miniunzip
cp README LICENSE


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib-dev
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE3} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib-bin

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-zlib
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so.%{version}
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so.1
%doc ChangeLog FAQ README build.log LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib

%files -n hhl-%{_hhl_target_arch}-zlib-dev
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.so
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libz.a
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/zlib.h
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/zconf.h
%doc ChangeLog FAQ README build.log LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib-dev

%files -n hhl-%{_hhl_target_arch}-zlib-bin
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/minizip
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/miniunzip
%doc ChangeLog FAQ README build.log LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/zlib-bin

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Jan 23 2001 Mark Hatle <source@mvista.com>
- First cut

